=== modified file 'drizzled/sql_base.h'
--- drizzled/sql_base.h	2009-02-07 22:02:41 +0000
+++ drizzled/sql_base.h	2009-03-10 15:29:52 +0000
@@ -62,7 +62,6 @@
 void add_join_on(TableList *b,Item *expr);
 void add_join_natural(TableList *a,TableList *b,List<String> *using_fields,
                       Select_Lex *lex);
-bool add_proc_to_list(Session *session, Item *item);
 void unlink_open_table(Session *session, Table *find, bool unlock);
 void drop_open_table(Session *session, Table *table, const char *db_name,
                      const char *table_name);

=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2009-03-03 07:39:39 +0000
+++ drizzled/sql_lex.cc	2009-03-10 15:29:52 +0000
@@ -278,7 +278,6 @@
   lex->sql_command= SQLCOM_END;
   lex->duplicates= DUP_ERROR;
   lex->ignore= 0;
-  lex->proc_list.first= 0;
   lex->escape_used= false;
   lex->query_tables= 0;
   lex->reset_query_tables_list(false);

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2009-03-07 16:52:08 +0000
+++ drizzled/sql_lex.h	2009-03-10 15:29:52 +0000
@@ -1291,7 +1291,7 @@
   List<Name_resolution_context> context_stack;
   List<LEX_STRING>     db_list;
 
-  SQL_LIST	      proc_list, auxiliary_table_list, save_list;
+  SQL_LIST	      auxiliary_table_list, save_list;
   Create_field	      *last_field;
   Item_sum *in_sum_func;
   udf_func udf;

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2009-03-10 07:23:05 +0000
+++ drizzled/sql_parse.cc	2009-03-10 15:29:52 +0000
@@ -931,19 +931,6 @@
       goto end_with_restore_list;
 #endif
     /*
-      If we are using SET CHARSET without DEFAULT, add an implicit
-      DEFAULT to not confuse old users. (This may change).
-    */
-    if ((create_info.used_fields &
-	 (HA_CREATE_USED_DEFAULT_CHARSET | HA_CREATE_USED_CHARSET)) ==
-	HA_CREATE_USED_CHARSET)
-    {
-      create_info.used_fields&= ~HA_CREATE_USED_CHARSET;
-      create_info.used_fields|= HA_CREATE_USED_DEFAULT_CHARSET;
-      create_info.default_table_charset= create_info.table_charset;
-      create_info.table_charset= 0;
-    }
-    /*
       The create-select command will open and read-lock the select table
       and then create, open and write-lock the new table. If a global
       read lock steps in, we get a deadlock. The write lock waits for
@@ -2046,11 +2033,6 @@
 }
 
 
-/*
-  When you modify mysql_parse(), you may need to mofify
-  mysql_test_parse_for_slave() in this same file.
-*/
-
 /**
   Parse a query.
 
@@ -2129,34 +2111,6 @@
 }
 
 
-/*
-  Usable by the replication SQL thread only: just parse a query to know if it
-  can be ignored because of replicate-*-table rules.
-
-  @retval
-    0	cannot be ignored
-  @retval
-    1	can be ignored
-*/
-
-bool mysql_test_parse_for_slave(Session *session, char *inBuf, uint32_t length)
-{
-  LEX *lex= session->lex;
-  bool error= 0;
-
-  Lex_input_stream lip(session, inBuf, length);
-  lex_start(session);
-  session->reset_for_next_command();
-
-  if (!parse_sql(session, &lip) &&
-      all_tables_not_ok(session,(TableList*) lex->select_lex.table_list.first))
-    error= 1;                  /* Ignore question */
-  session->end_statement();
-  session->cleanup_after_query();
-  return(error);
-}
-
-
 
 /**
   Store field definition for create.
@@ -2261,23 +2215,6 @@
   current_session->lex->last_field->after=const_cast<char*> (name);
 }
 
-bool
-add_proc_to_list(Session* session, Item *item)
-{
-  order_st *order;
-  Item	**item_ptr;
-
-  if (!(order = (order_st *) session->alloc(sizeof(order_st)+sizeof(Item*))))
-    return 1;
-  item_ptr = (Item**) (order+1);
-  *item_ptr= item;
-  order->item=item_ptr;
-  order->free_me=0;
-  session->lex->proc_list.link_in_list((unsigned char*) order,(unsigned char**) &order->next);
-  return 0;
-}
-
-
 /**
   save order by and tables in own lists.
 */

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2009-03-08 23:45:12 +0000
+++ drizzled/sql_select.cc	2009-03-10 15:29:52 +0000
@@ -290,7 +290,7 @@
 		      (order_st*) select_lex->order_list.first,
 		      (order_st*) select_lex->group_list.first,
 		      select_lex->having,
-		      (order_st*) lex->proc_list.first,
+		      NULL,
 		      select_lex->options | session->options |
                       setup_tables_done_option,
 		      result, unit, select_lex);
@@ -16250,7 +16250,7 @@
 			(order_st*) first->order_list.first,
 			(order_st*) first->group_list.first,
 			first->having,
-			(order_st*) session->lex->proc_list.first,
+			(order_st*) NULL,
 			first->options | session->options | SELECT_DESCRIBE,
 			result, unit, first);
   }

=== modified file 'drizzled/sql_union.cc'
--- drizzled/sql_union.cc	2009-02-21 05:34:53 +0000
+++ drizzled/sql_union.cc	2009-03-10 15:29:52 +0000
@@ -276,7 +276,7 @@
                                (order_st*) sl->group_list.first,
                                sl->having,
                                (is_union_select ? (order_st*) 0 :
-                                (order_st*) session_arg->lex->proc_list.first),
+                                (order_st*) NULL),
                                sl, this);
     /* There are no * in the statement anymore (for PS) */
     sl->with_wild= 0;

